Change the priority of the current process

- « proc_get_status

- proc_open »

- PHP Manual
- Program execution Functions
- Change the priority of the current process

# proc_nice

(PHP 5, PHP 7, PHP 8)

proc_nice — Change the priority of the current process

### Description

proc_nice(int `$priority`): bool

proc_nice() changes the priority of the current process by the amount specified in `priority`. A positive `priority` will lower the priority of the current process, whereas a negative `priority` will raise the priority.

proc_nice() is not related to proc_open() and its associated functions in any way.

### Parameters

`priority`

  The new priority value, the value of this may differ on platforms.

  On Unix, a low value, such as `-20` means high priority whereas positive values have a lower priority.

  For Windows the `priority` parameter has the following meaning:

  Priority class | Possible values
  --- | ---
  High priority | `priority` `< -9`
  Above normal priority | `priority` `< -4`
  Normal priority | `priority` `< 5` & `priority` `> -5`
  Below normal priority | `priority` `> 5`
  Idle priority | `priority` `> 9`

### Return Values

Returns `true` on success or `false` on failure. If an error occurs, like the user lacks permission to change the priority, an error of level `E_WARNING` is also generated.

### Changelog

Version | Description
--- | ---
7.2.0 | This function is now available on Windows.

### Examples

Example #1 Using proc_nice() to set the process priority to high

    <?php// Highest priorityproc_nice(-20);?>

### Notes

> Note: Availability

> proc_nice() will only exist if your system has 'nice' capabilities. 'nice' conforms to: SVr4, SVID EXT, AT&T, X/OPEN, BSD 4.3.

> Note: Windows only

> proc_nice() will change the current process priority, even if PHP was compiled using thread safety.

### See Also

- pcntl_setpriority() - Change the priority of any process